import React from "react";
import Lottie from "primeobjects-ui-web-basic/build/cjs/controls/lottie";
import { getPrimaryColor } from "primeobjects-helper-ui";
var FIELD_NAME = "Loading";
var LoadingInternal = function (props) {
    var _a, _b, _c;
    var primaryColor = getPrimaryColor();
    var loadingMessage = (_a = props.loadingMessage) !== null && _a !== void 0 ? _a : "Loading ...";
    return (React.createElement("div", { className: "w-full flex flex-row items-center ".concat((_b = props.wrapperStyle) !== null && _b !== void 0 ? _b : ""), style: (_c = props.wrapperStyle) !== null && _c !== void 0 ? _c : {} },
        React.createElement("div", { className: "h-6" },
            React.createElement(Lottie, { className: "w-full h-full", url: "/icons/platform/lottie/dots-2.json", colors: Array(6).fill(primaryColor[700]) })),
        React.createElement("div", { className: "flex-1 text-sm text-".concat(primaryColor.name, "-700 p-2") }, loadingMessage)));
};
LoadingInternal.displayName = FIELD_NAME;
export var Loading = React.memo(LoadingInternal);
export default Loading;
//# sourceMappingURL=loading.js.map